Bug 252099 - Review Request: javassist - Java Programming Assistant: bytecode manipulation
Summary: Review Request: javassist - Java Programming Assistant: bytecode manipulation
Keywords:
Status: CLOSED DUPLICATE of bug 227067
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL: http://www.csg.is.titech.ac.jp/~chiba...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-08-13 22:09 UTC by Vivek Lakshmanan
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-08-14 00:24:33 UTC
Type: ---


Attachments (Terms of Use)

Description Vivek Lakshmanan 2007-08-13 22:09:07 UTC
Spec URL: http://vivekl.fedorapeople.org/rpms/javassist.spec
SRPM URL: http://vivekl.fedorapeople.org/rpms/javassist-3.5.0-1jpp.1.fc8.src.rpm

Javassist (Java Programming Assistant) makes Java
bytecode manipulation simple. It is a class library
for editing bytecodes in Java; it enables Java
programs to define a new class at runtime and to
modify a class file when the JVM loads it. Unlike
other similar bytecode editors, Javassist provides
two levels of API: source level and bytecode level.
If the users use the source-level API, they can edit
a class file without knowledge of the specifications
of the Java bytecode. The whole API is designed with
only the vocabulary of the Java language. You can even
specify inserted bytecode in the form of source text;
Javassist compiles it on the fly. On the other hand,
the bytecode-level API allows the users to directly
edit a class file as other editors.
Needed for supporting application servers

Comment 1 Vivek Lakshmanan 2007-08-14 00:24:33 UTC

*** This bug has been marked as a duplicate of 227067 ***


Note You need to log in before you can comment on or make changes to this bug.